Subject: [Sipping] Re: I-D ACTION:draft-worley-sip-gruu-implement-01.txt

From: Paul Kyzivat <[email-masked]>
Date: Tue, 07 Mar 2006 14:46:47 -0500

In spite of its name, it appears that this draft should be discussed on 
the sipping list.

I have one comment:

       Guideline 11: The UA should recognize the GRUU (in either the
       request-URI or a Route header) as a "resource that it is
       responsible for", just as it would one of its contact URIs, and
       process the request (if it is examining the request-URI) or
       examine the next element of the route set (if it is examining a
       Route header).  This recognition should be done by URI equality
       testing with the GRUUs that have been issued to the UA before any

As the gruu draft now stands, the above are useless requirements because 
a UA should never see these usages. If the GRUU were in a route header, 
it would be delivered to the responsible proxy - not to the UA. And if 
it were in an R-URI, it would eventually be translated by the 
responsible proxy before being delivered to the UA.

I know there have been some proposed solutions to the spiraling request 
problem that might make this guideline meaningful, but that should 
probably wait.

	Paul

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
> 	Title		: Guidelines for Implementing the GRUU Support in User Agents
> 	Author(s)	: D. Worley
> 	Filename	: draft-worley-sip-gruu-implement-01.txt
> 	Pages		: 14
> 	Date		: 2006-3-6
> 	
> Several applications of the Session Initiation Protocol (SIP) require
> a user agent (UA) to construct and distribute a URI which can be used
> by anyone on the Internet to route a call to that specific UA
> instance.  A URI which routes to a specific UA instance is called a
> Globally Routable UA URI (GRUU).  An Internet-Draft is progressing
> toward standardization that gives a method by which proxies can
> construct and delver GRUUs to UAs that request them.  This document
> distills that Internet-Draft into a guide for UA implementors.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-worley-sip-gruu-implement-01.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of the message.  
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-worley-sip-gruu-implement-01.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-worley-sip-gruu-implement-01.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP